﻿@model DatabaseProject.distributor

<script src="~/Scripts/jquery-1.8.2.min.js"></script>
<script src="~/Scripts/jquery.validate.min.js"></script>
<script src="~/Scripts/jquery.validate.unobtrusive.min.js"></script>

<div class="modal-header">
    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
    <h3 id="myModalLabel">Create Product..</h3>
</div>
@{
    DatabaseProject.ScerpEntities db = new DatabaseProject.ScerpEntities();
    var empQuery2 = from emp in db.person_info
                    select emp;
    List<DatabaseProject.person_info> empList2 = empQuery2.ToList();
}

<div class="jumbotron">
    @using (Ajax.BeginForm("Create", "Distributor", new { temp = 2 }, new AjaxOptions { UpdateTargetId = "divInterestDeatils" }))
    {
        @Html.AntiForgeryToken()
        @Html.ValidationSummary(true)

        <fieldset>

                    <div class="col-lg-2 control-label">
                        <label for="name">Name</label>
                    </div>
                    <div class="col-lg-10">
                        <input class="form-control" id="name" name="name" type="text" value="">
                        <span class="field-validation-valid" data-valmsg-for="name" data-valmsg-replace="true"></span>
                        <br />
                    </div>

                    <div class="col-lg-2 control-label">
                        <label for="description">Description</label>
                    </div>
                    <div class="col-lg-10">
                        <input class="form-control" id="description" name="description" type="text" value="">
                        <span class="field-validation-valid" data-valmsg-for="description" data-valmsg-replace="true"></span>
                        <br />
                    </div>

                    <div class="col-lg-2 control-label">
                        <label for="id_contact_person">Contact Person</label>
                    </div>
                    <div class="col-lg-10">
                        <select id="id_contact_person" name="id_contact_person" class="form-control">
                            <option value=""></option>
                            @{
                foreach (DatabaseProject.person_info temp in empList2)
                {
                        <option value="@temp.id_person">@temp.name</option>
                }
                            }
                        </select>
                        <span class="field-validation-valid" data-valmsg-for="id_contact_person" data-valmsg-replace="true"></span>
                        <br />
                        <div class="radio">
                            <label>
                                <input type="radio" name="optionsRadios" id="chkdwn3" value="1" checked="">
                                Choose from list
                            </label>
                        </div>

                        <div class="radio">
                            <label>
                                <input type="radio" name="optionsRadios" id="chkdwn5" value="false">
                                Create New
                            </label>
                        </div>
                        <div id="CreateNewLocationDiv3">
                            <div class="col-md-3 column">
                                <input class="form-control" type="text" value="" placeholder="Name" name="newcontactname">
                            </div>
                            <div class="col-md-3 column">
                                <input class="form-control" type="text" value="" placeholder="Description" name="newcontactdescription">
                            </div>
                            <div class="col-md-3 column">
                                <input class="form-control" type="text" value="" placeholder="Address" name="newcontactaddress">
                            </div>
                            <div class="col-md-3 column">
                                <input class="form-control" type="text" value="" placeholder="Contact Number" name="newcontactcontact">
                                <br />
                            </div>
                        </div>
                    </div>

                    <div class="col-lg-10 col-lg-offset-2">
                        <h4><div class="text-success" id="divInterestDeatils"></div></h4>
                        <br>
                        <button type="submit" class="btn btn-primary">Submit</button>
                    </div>
                </fieldset>
    }

    <div>
        @Html.ActionLink("Back to List", "Index")
    </div>
</div>

<script type="text/javascript">

    $(document).ready(function () {
        $('[id=CreateNewLocationDiv3]').hide();

        $("#chkdwn1").click(function () {
            if ($(this).is(":checked")) {
                $(this).attr("value", "true");
                $('[id=id_location]').attr("disabled", true);
                $('[id=CreateNewLocationDiv1]').show();
            } else {
                $(this).attr("value", "false");
                $('[id=id_location]').attr("disabled", false);
                $('[id=CreateNewLocationDiv1]').hide();
            }
        });
        $("#chkdwn2").click(function () {
            if ($(this).is(":checked")) {
                $(this).attr("value", "true");
                $('[id=id_owner_person]').attr("disabled", true);
                $('[id=CreateNewLocationDiv2]').show();
            } else {
                $(this).attr("value", "false");
                $('[id=id_owner_person]').attr("disabled", false);
                $('[id=CreateNewLocationDiv2]').hide();
            }
        });
        $("#chkdwn3").click(function () {
            if ($(this).is(":checked")) {
                $(this).attr("value", "1");
                $('[id=id_contact_person]').attr("disabled", false);
                $('[id=CreateNewLocationDiv3]').hide();
            }
        });
        $("#chkdwn4").click(function () {
            if ($(this).is(":checked")) {
                $(this).attr("value", "2");
                $('[id=id_contact_person]').attr("disabled", true);
                $('[id=CreateNewLocationDiv3]').hide();
            }
        });
        $("#chkdwn5").click(function () {
            if ($(this).is(":checked")) {
                $(this).attr("value", "3");
                $('[id=id_contact_person]').attr("disabled", true);
                $('[id=CreateNewLocationDiv3]').show();
            }
        });
    });

</script>

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}